<?php
/**
 * Plugin Adm_redacteurs
 * Version  : 5.5.12 (2014/08/29)
 * Compatibility : Guppy v4.6.17+
 * Author   : jrme CROUX (djchouix)
 * Web site : http://lebrikabrak.info/
 * E-mail   : lebrikabrak@free.fr
 * Licence  : GNU Lesser General Public License
 *
 * Ce fichier est bas sur le fichier suivant:
 * Admin Routine - GuppY PHP Script - version 4.5    
 * CeCILL Copyright (C) 2004-2006 by Laurent Duveau
 * Made by Laurent Duveau, Nicolas Alves, Albert Aymard,
 * Jean-Michel Misrachi, Isabelle Marchina and Team
 * Web site = http://www.freeguppy.org/
 * E-mail   = info@aldweb.com
 * version 4.6.6+
 */
if (stristr($_SERVER["SCRIPT_NAME"], "admin.inc")) {
  header("location:../index.php");
  die();
}
define("CHEMIN", "../../");
$lng  = strip_tags($lng);
$pg   = strip_tags($pg);
$plug = strip_tags($plug);
$myname = $redacprefs['rpseudo'];

/// FORK AjouteMenu : INCLUDE
$mnu_include = false;
if (is_dir(CHEMIN."plugins/ajoutemenu") && $redacprefs['ajoutemenu'] == 'ajoutemenu') {	// Modif rdacteur
  include_once(CHEMIN."plugins/ajoutemenu/inc/data_func.inc");
  include_once(CHEMIN."plugins/ajoutemenu/lang/".$lng."-adm.inc");
  $mnu_include = true;
}
/// Fin FORK AjouteMenu : INCLUDE

$nbresult = 25;

//initialisation des variables
$pgreturn[TYP_AGENDA] = "agenda";
$pgreturn[TYP_ART] = "art";
$pgreturn[TYP_BLOG] = "blog";
$pgreturn[TYP_BANNER] = "banner";
$pgreturn[TYP_DNLOAD] = "dnload";
$pgreturn[TYP_FAQ] = "faq";
$pgreturn[TYP_FOOTER] = "footer";
$pgreturn[TYP_FORUM] = "forum";
$pgreturn[TYP_FREEBOX1] = "freebox1";
$pgreturn[TYP_FREEBOX2] = "freebox2";
$pgreturn[TYP_FREEBOX3] = "freebox3";
$pgreturn[TYP_FREEBOX4] = "freebox4";
$pgreturn[TYP_GUESTBK] = "guestbk";
$pgreturn[TYP_HOMEPG] = "homepg";
$pgreturn[TYP_LINKS] = "links";
$pgreturn[TYP_NEWS] = "news";
$pgreturn[TYP_NWL] = "nwl";
$pgreturn[TYP_PHOTO] = "photo";
$pgreturn[TYP_REACT] = "react";
$pgreturn[TYP_RECO] = "reco";
$pgreturn[TYP_RSS] = "rss";
$pgreturn[TYP_SPECIAL] = "special";
$pgreturn[TYP_THINK] = "think";

$idpg = strip_tags($idpg);
if ($qtype == TYP_FORUM) {
	$dbcat = ReadDBFields(DBFORUMCAT);
	$ilng = ($lng == $lang[0] ? 1 : 2);
	for ($i = 0; $i < count($dbcat); $i++) {
    	$dbfcat[$i][0] = $dbcat[$i][0];
    	$dbfcat[$i][1] = $dbcat[$i][$ilng];
	}
  	unset($dbcat);
} else {
	//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
	//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire img/
	$redac_img = array();
	$redac_img = ListImgSubRep('img/','`\.(gif|jpg|png|jpeg|bmp)$`');  //voir functionredac.inc
	//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire img/
	$swf = array();
	$swf = ListImgSubRep('img/','`\.swf$`');  //voir functionredac.inc
	//rcupration des images (gif,jpg,png,jpeg et bmp) dans les sous-rpertoires du rpertoire photo/
	$foto = array();
	$foto = ListImgSubRep('photo/','`\.(gif|jpg|png|jpeg|bmp)$`'); //voir functionredac.inc
	//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
}

////MODIF ADM_REDACTEUR////
$cat1 = RemoveConnector($cat1);
$cat2 = RemoveConnector($cat2);
$titre1 = RemoveConnector($titre1);
$titre2 = RemoveConnector($titre2);
$contenu1 = PathRelatif($contenu1);    //transformation chemin absolu --> chemin relatif (voir functionredac)
$contenu2 = PathRelatif($contenu2);    //transformation chemin absolu --> chemin relatif (voir functionredac)
////FIN MODIF ADM_REDACTEUR////

if ($act == "fast" && !empty($redacprefs['ract'.$pgreturn[$qtype]])) {
    settype($ids, 'array');
    $data = array();
    
    foreach ($ids as $id => $status) {
        if ($status['a'] == 'on') {            
            $data[] = array($qtype, $id, 'a');
        }
        elseif ($status['i'] == 'on') { 
            $data[] = array($qtype, $id, 'i');
        }
        elseif ($status['d'] == 'on') { 
            $data[] = array($qtype, $id, 'd');
        }
    }
    unset($ids);
    
  	/// Lecture du docid
  	$dbdocid = ReadDBFields(DOCID);
  	foreach($dbdocid as $i=>$d) {
    	$idx[$d[1]] =  $i;
  	} 
	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
  	///Lecture du docidredac
  	$dbdocidredac = ReadDBFields($docidredac);
  	foreach($dbdocidredac as $i=>$d) {
    	$idxredac[$d[1]] =  $i;
  	}   
	/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////

  	for ($i = 0; $i < count($data); $i++) {
    	ReadDoc(DBBASE.$data[$i][1]);
    	/// FORK AjouteMenu : STATUS
    	if ($mnu_include && $data[$i][0] == TYP_ART) {
      		// modifier le statut de l'item de menu associ  $data[$i][1] si besoin
      		list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
      		if ($mnu_code == "am") {
        		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
        		$mnu_status = $data[$i][2];
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    	$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
            	$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur			
      		}
    	}
    	/// Fin FORK AjouteMenu : STATUS
    	$status  = $data[$i][2];
    	$author  = addslashes($author);
    	$email   = addslashes($email);
    	$fielda1 = addslashes($fielda1);
    	$fielda2 = addslashes($fielda2);
    	$fieldb1 = addslashes($fieldb1);
    	$fieldb2 = addslashes($fieldb2);
    	$fieldc1 = addslashes($fieldc1);
    	$fieldc2 = addslashes($fieldc2);
    	$fieldd1 = addslashes($fieldd1);
    	$fieldd2 = addslashes($fieldd2);
    	if($data[0] == TYP_FORUM || $data[0] == TYP_THREAD) {
      		$fieldweb  = addslashes($fieldweb);
      		$fieldmail = addslashes($fieldmail);
    	}
    	WriteDoc();
    	/// Modifions le docid en mmoire
    	$dbdocid[$idx[$data[$i][1]]][2] = $data[$i][2];
   		/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
    	/// Modifions le docidredac en mmoire
    	$dbdocidredac[$idxredac[$data[$i][1]]][2] = $data[$i][2];   
   		/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////
	
  	}
  	unset($idx);
   	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
  	unset($idxredac);
    //////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////
  	/// S'il y a eu des modifications
  	if (count($data) > 0) {
    	/// Enregistrons le docid en mmoire
    	usort($dbdocid, "compare_id1");
    	WriteDBFields(DOCID, $dbdocid);
		unset($dbdocid, $data);
   		/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////	
		/// Enregistrons le docidredac en mmoire
    	usort($dbdocidredac, "compare_id1");
    	WriteDBFields($docidredac, $dbdocidredac);
		unset($dbdocidredac);
   		////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////		
    	/// Appliquons la mise  jour correspondant au type modifi
    	if (in_array($qtype, array(TYP_ART, TYP_BLOG, TYP_LINKS, TYP_DNLOAD, TYP_PHOTO, TYP_FAQ, TYP_RSS, TYP_AGENDA))) {
      		UpdateDBdtb($qtype);
			
			if ($qtype == TYP_ART) {
				include_once(CHEMIN.INCREP."funcrss.php");
				UpdateDBart();
			}
			
			if ($qtype == TYP_BLOG) {
				include_once(CHEMIN.INCREP."funcrss.php");
				UpdateDBblog();
			}

    	} elseif ($qtype == TYP_NEWS) {
        	include_once(CHEMIN.INCREP."funcrss.php");
      		UpdateDBnews();
    	} elseif ($qtype == TYP_REACT) {
      		UpdateDBreact("", 0);
    	} elseif ($qtype == TYP_FORUM) {
      		/// rcriture du frth.dtb
      		$db1 = SelectDBFields(TYP_FORUM, "a", "");
      		sort($db1);
      		for ($i = 0; $i < count($db1); $i++) {
        		ReadDoc(DBBASE.$db1[$i][1]);
        		$db2[$i][0] = $creadate;
        		$db2[$i][1] = $fielda1;
        		$db2[$i][2] = $fielda2;
        		$db2[$i][3] = $fileid;
        		$db2[$i][4] = RemoveConnector($author);
        		$db2[$i][5] = RemoveConnector($email);
        		$db2[$i][6] = RemoveConnector($fieldb1);
        		$db2[$i][7] = $fieldd1;
        		$db2[$i][8] = $fieldb2;
        		$db2[$i][9] = $fieldmail;
        		if ($db2[$i][2] == "0") {
          			$id3[$db2[$i][1]] = $j;
          			$db3[$j][0] = $db2[$i][0];
          			$db3[$j][1] = $db2[$i][1];
          			$db3[$j][2] = $db2[$i][3];
         			$db3[$j][3] = $db2[$i][4];
          			$db3[$j][4] = $db2[$i][5];
          			$db3[$j][5] = $db2[$i][6];
          			$db3[$j][6] = $db2[$i][0];
          			$db3[$j][7] = 0;
          			$db3[$j][8] = "";
          			$db3[$j][9] = "";
          			$db3[$j][10] = $db2[$i][7];
          			$db3[$j][11] = "";
          			$db3[$j][12] = $db2[$i][8];
         			 $j++;
        		} else {
          			$k = $id3[$db2[$i][1]];
          			$db3[$k][7]++;
          			if ($db3[$k][0] < $db2[$i][0]) {
            			$db3[$k][0]  = $db2[$i][0];
            			$db3[$k][8]  = $db2[$i][4];
            			$db3[$k][9]  = $db2[$i][5];
            			$db3[$k][11] = $db2[$i][7];
          			}
        		}
      		}
      		unset($db1);
      		@sort($db2,SORT_REGULAR);
      		WriteDBFields(DBTHREAD, $db2);
      		unset($db2);
      		@rsort($db3,SORT_REGULAR);
      		WriteDBFields(DBFORUM, $db3);
      		unset($db3);
    	}
  	}

} elseif (($act == "a" || $act == "i") && !empty($redacprefs['ract'.$pgreturn[$qtype]])) {
  /// FORK AjouteMenu : STATUS
  	if ($mnu_include && $qtype == TYP_ART) {
		// modifier le statut de l'item de menu associ  $id si besoin
   	 	ReadDoc(DBBASE.$id);
    	list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
    	if (($mnu_id !== "") && !empty($mnu_item)) {
      		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
      		$mnu_status = $act;
      		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    $mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
      		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
            $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
    	}
  	}
  /// Fin FORK AjouteMenu : STATUS
	$data[0] = $qtype;
  	$data[1] = $id;
  	$data[2] = $act;
  	$data[3] = "";
  	$data[4] = "";
    $data[5] = "";
   	$data[6] = "";
  	$data[7] = "";
  	$data[8] = "";
  	$data[9] = "";
  	$data[10] = "";
  	$data[11] = "";
  	$data[12] = "";
  	$data[13] = "";
  	$data[14] = "";
  	$data[15] = "";
    $data[16] = ""; /// added with groups
    $data[17] = ""; /// added with groups
  	ActionOnFields("act", $data);
  	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
  	ActionOnFields2("act",$data);
  	/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
/*
} elseif (!empty($del) && !empty($redacprefs['rdel'.$pgreturn[$qtype]])) {
	/// FORK AjouteMenu : DELETE
	if ($mnu_include && $qtype == TYP_ART) {
		// supprimer l'item de menu associ  $del si besoin
		ReadDoc(DBBASE.$del);
		list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
		if (!empty($mnu_id) && !empty($mnu_item)) {
			AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_status = "d";
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
			$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
			AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
			$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur		  
		}
	}
	/// Fin FORK AjouteMenu : DELETE

  	$data[0] = $qtype;
  	$data[1] = $del;
  	$data[2] = "d";
  	$data[3] = "";
  	$data[4] = "";
  	$data[5] = "";
  	$data[6] = "";
  	$data[7] = "";
  	$data[8] = "";
 	 $data[9] = "";
  	$data[10] = "";
  	$data[11] = "";
  	$data[12] = "";
  	$data[13] = "";
  	$data[14] = "";
  	$data[15] = "";
    $data[16] = ""; /// added with groups
    $data[17] = ""; /// added with groups
  	ActionOnFields("del",$data);
  	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
	//  ActionOnFields2("del",$data);
  	/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
*/
} elseif ($add == 1  && !empty($redacprefs['rwrit'.$pgreturn[$qtype]])) {
    /// FORK AjouteMenu : CREATE 1
    $mnu_actif = FALSE;
    if ($mnu_include && $qtype == TYP_ART) {
        // crer l'item de menu associ  ce nouveau article si besoin
        $mnu_id = $nouveau1;
        if ((is_numeric($mnu_id) && ($mnu_id >= 0) && ($mnu_id < 20))) {
            $mnu_actif = TRUE;
            $mnu_item = AM_GetNextID($mnu_id);
            $nouveau1 = "am.".$mnu_id.".".$mnu_item;
            $mnu_categ1 = $cat1;
            $mnu_categ2 = $cat2;
            $mnu_titre1 = $titre1;
            $mnu_titre2 = $titre2;
            $titre1 = $cat1.' - '.$titre1;
            $titre2 = $cat2.' - '.$titre2;
            $cat1 = "";
            $cat2 = "";
            //$mnu_status = $status == 'on' ? "a" : "i";
            $mnu_status = ($status == 'on' && $redacprefs['ractart'] == 'On') ? "a" : "i";	//modif redacteur
            $mnu_url1 = "articles.php?lng=".$lang[0]."&pg=";
            $mnu_url2 = "articles.php?lng=".$lang[1]."&pg=";
            $mnu_win_blank = "";
            $mnu_modecol = $new_modecol;
        }
    }
  /// Fin FORK AjouteMenu : CREATE 1
  	$data[0] = $qtype;
  	$data[1] = "";
  	$data[2] = "i";
  	$data[3] = "";
  	$data[4] = "";
  	if ($bname == 0) {
    	$data[5] = $myname;
  	} else {
    	$data[5] = $pseudo1;
  	}
  	if ($bemail == 0) {
    	$data[6] = $myemail;
  	} else {
    	$data[6] = $email1;
  	}
  	$data[7] = $cat1;
	if ($qtype == TYP_AGENDA) {
		if ($site[22] == "H3") {
			if ($hh1 < "00" || $hh1 > "12")  { 
				$hh1 = "00";
			}
		} else {
			if ($hh1 < "00" || $hh1 > "24") {
				$hh1 = "00";
			}	
			$sth1 = "";
		}
		if (strlen($hh1) <2) {
			$hh1 = "0".$hh1;
		}
		if (strlen($mn1) <2) {
			$mn1 = "0".$mn1;
		}
		if ($mn1 < "00" || $mn1 > "60") {
		$mn1 = "00";
		}
		if ($hh1.$mn1 == "0000") {
			$dated  = "";
		} else {
			$dated = $hh1.":".$mn1.$sth1;
		}

		if ($site[22] == "H3") {
			if ($hh2 < "00" || $hh2 > "12") {
				$hh2 = "00";
			}
		} else {
			if ($hh2 < "00" || $hh2 > "24") {
				$hh2 = "00"; $sth2 = "";
			}
		}
		if (strlen($hh2) <2) {
			$hh2 = "0".$hh2;
		}
		if (strlen($mn2) <2) {
			$mn2 = "0".$mn2;
		}
		if ($mn2 < "00" || $mn2 > "60") {
			$mn2 = "00";
		}
		if ($site[22] == "H3") {
			if ($hh2.$mn2 < $hh1.$mn1 && $sth2 <= $sth1 ||$hh2.$mn2 == "00")  {
				$datef = "";
			} else {
				$datef = $hh2.":".$mn2.$sth2;
			}
		} else {
			if ($hh2.$mn2 < $hh1.$mn1 || $hh2.$mn2 == "0000") {
				$datef  = "";
			} else {
				$datef = $hh2.":".$mn2;
			}
		}
		$cat2 = $dated."-".$datef;
	}
  	$data[8] = $cat2;
  	$data[9] = $titre1;
  	$data[10] = $titre2;
  	$data[11] = $contenu1;
  	$data[12] = $contenu2;
  	$data[13] = $nouveau1;
  	$data[14] = $nouveau2;
  	$data[15] = $siteweb;
    $data[16] = $fieldmail; /// added with groups
    $data[17] = $fieldmod; /// added with groups
  /// FORK AjouteMenu : CREATE 2
	if ($mnu_actif) {
		AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
		AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
		AM_IncrNextID($mnu_id);
	}
//	$mnu_id_art = ActionOnFields("add", $data);
	$iddoc = ActionOnFields("add", $data);
	$mnu_id_art = $iddoc;
	
	if ($mnu_actif) {
		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
		$mnu_url1 .= $mnu_id_art;
		$mnu_url2 .= $mnu_id_art;
		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
	}
  /// Fin FORK AjouteMenu : CREATE 2

/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
  	ActionOnFields2("add",$data);
	
	// On envoie un email  l'admin si article ou news crs et si config email  "on"
	if (($qtype == TYP_ART || $qtype == TYP_NEWS) && $redacprefs['rsendmailadmin'] == "On") {	
        $sujet  = $redac118.$iddoc.$redac120.$myname."\n";
        $body  = $redac121.'"<span style="font-weight:bold;background-color:#FFFF00;">'.$myname.'</span>"'.$redac122.'"<span style="font-weight:bold;background-color:#FFFF00;">'.$iddoc.'</span>".<br />';
        $body  .= $redac124.'<br />';		
		$body  .= '<a href="'.$site[3].'admin/admin.php?lng='.$lng.'&pg=plugin&plug=adm_redacteurs/inc/redac_filemod&pseudo='.$redacprefs['rpseudo'].'&qtype='.$qtype.'&id='.$iddoc.'" target="_blank">'.$site[3].'admin/admin.php?lng='.$lng.'&pg=plugin&plug=adm_redacteurs/inc/redac_filemod&pseudo='.$redacprefs['rpseudo'].'&qtype='.$qtype.'&id='.$iddoc.'</a><br />';
		$body  .= $redac125.'<br />';
        eMailHtmlTo($sujet,$body,"");
      }	
  	/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////


} elseif ($mod == 1 && !empty($redacprefs['rmod'.$pgreturn[$qtype]])) {
  	/// FORK AjouteMenu : MODIF
  	$mnu_actif = FALSE;
  	if ($mnu_include && $qtype == TYP_ART) {
    	$mnu_id = strip_tags($mnu_id);
    	$mnu_item = strip_tags($mnu_item);
    	if ($mnu_id === "") {
      		if (is_numeric($nouveau1)) {
				/// Cas left/right => Menu I
				$mnu_id = $nouveau1;
				if ((is_numeric($mnu_id) && ($mnu_id >= 0) && ($mnu_id < 20))) {
					$mnu_actif = TRUE;
					$mnu_item = AM_GetNextID($mnu_id);
					$nouveau1 = "am.".$mnu_id.".".$mnu_item;
					$mnu_categ1 = $cat1;
					$mnu_categ2 = $cat2;
					$mnu_titre1 = $titre1;
					$mnu_titre2 = $titre2;
					$titre1 = strip_tags($cat1.' - '.$titre1);
					$titre2 = strip_tags($cat2.' - '.$titre2);
					$cat1 = "";
					$cat2 = "";
					//$mnu_status = "a";
					$mnu_status = ($redacprefs['ractart'] != 'On') ? "i" : "a";	//modif redacteur
					$mnu_url1 = "articles.php?lng=".$lang[0]."&pg=";
					$mnu_url2 = "articles.php?lng=".$lang[1]."&pg=";
					$mnu_win_blank = "";
				}
      		}
    	} else {
      		if (is_numeric($nouveau1)) {
        		if ($nouveau1 === $mnu_id) {
					/// Cas Menu I => Menu I
					AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
					$nouveau1 = "am.".$mnu_id.".".$mnu_item;
					$mnu_categ1 = $cat1;
					$mnu_categ2 = $cat2;
					$mnu_titre1 = $titre1;
					$mnu_titre2 = $titre2;
					$titre1 = strip_tags($cat1.' - '.$titre1);
					$titre2 = strip_tags($cat2.' - '.$titre2);
					$cat1 = "";
					$cat2 = "";
					if ($redacprefs['ractart'] != 'On') {	//modif redacteur
						$mnu_status = "i";
					}
                    $mnu_modecol = $new_modecol;
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";					
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
        		} else {
					/// Cas Menu I => Menu J
					AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
					$mnu_status = "d";
                    $mnu_modecol = $new_modecol;
					AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    		AM_Delete($mnu_id, $mnu_item);
                    $mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
				  	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
                    AM_FullDelete($mnu_id);
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
					/// Creation
					$mnu_id = $nouveau1;
					$mnu_item = AM_GetNextID($mnu_id);
					$nouveau1 = "am.".$mnu_id.".".$mnu_item;
					$mnu_categ1 = $cat1;
					$mnu_categ2 = $cat2;
					$mnu_titre1 = $titre1;
					$mnu_titre2 = $titre2;
					$titre1 = strip_tags($cat1.' - '.$titre1);
					$titre2 = strip_tags($cat2.' - '.$titre2);
					$cat1 = "";
					$cat2 = "";
//				  	$mnu_status = "a";
					$mnu_status = ($redacprefs['ractart'] != 'On') ? "i" : "a";	//modif redacteur
					AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
				  	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
            		$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
					AM_IncrNextID($mnu_id);
				}
      		} else {
        		/// Cas Menu I => left/right
        		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
        		$mnu_status = "d";
                $mnu_modecol = $new_modecol;
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		    	AM_Delete($mnu_id, $mnu_item);
                $mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
        		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
                AM_FullDelete($mnu_id);
            	$mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur				
        		if (empty($cat1)) $cat1 = $mnu_categ1;
        		if (empty($cat2)) $cat2 = $mnu_categ2;
      		}
    	}
  	}
  /// Fin FORK AjouteMenu : MODIF
  	$data[0] = $qtype;
  	$data[1] = $id;
  	$data[2] = "";
	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
	/////////MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)//////////////////////////////////////////////////////////////// 
    if (isset($redacprefs['ract'.$pgreturn[$qtype]]) && $redacprefs['ract'.$pgreturn[$qtype]] != "On") {
		DesactiveDoc($data);
  	}
	/////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)//////////////////////////////////////////////////////////////// 
	// On envoie un email  l'admin si article et si config email  "on"
    if (($qtype == TYP_ART || $qtype == TYP_NEWS) && $redacprefs['rsendmailadmin'] == "On") {	       
        $sujet  = $redac119.$id.$redac120.$myname."\n";
        $body  = $redac121.'"<span style="font-weight:bold;background-color:#FFFF00;">'.$myname.'</span>"'.$redac123.'"<span style="font-weight:bold;background-color:#FFFF00;">'.$id.'</span>".<br />';
        $body  .= $redac124.'<br />';
		$body  .= '<a href="'.$site[3].'admin/admin.php?lng='.$lng.'&pg=plugin&plug=adm_redacteurs/inc/redac_filemod&pseudo='.$redacprefs['rpseudo'].'&qtype='.$qtype.'&id='.$id.'" target="_blank">'.$site[3].'admin/admin.php?lng='.$lng.'&pg=plugin&plug=adm_redacteurs/inc/redac_filemod&pseudo='.$redacprefs['rpseudo'].'&qtype='.$qtype.'&id='.$id.'</a><br />';
		$body  .= $redac125.'<br />';
        eMailHtmlTo($sujet,$body,"");
    }
  	/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
  	$data[3] = "";
  	$data[4] = "";
  	if ($bname == 0) {
      	$data[5] = $myname;
  	} else {
      	$data[5] = $pseudo1;
  	}
  	if ($bemail == 0) {
      	$data[6] = $myemail;
  	} else {
      	$data[6] = $email1;
  	}
  	$data[7] = $cat1;
	
	if ($qtype == TYP_AGENDA) {
		if ($site[22] == "H3")  {
			if ($hh1 < "00" || $hh1 > "12") {
				$hh1 = "00";
			}
		} else {
			if ($hh1 < "00" || $hh1 > "24")  {
				$hh1 = "00";
			}
			$sth1 = "";
		}
		if (strlen($hh1) <2) {
			$hh1 = "0".$hh1;
		}
		if (strlen($mn1) <2) {
			$mn1 = "0".$mn1;
		}
		if ($mn1 < "00" || $mn1 > "60") {
			$mn1 = "00";
		}
		if ($hh1.$mn1 == "0000") {
			$dated  = "";
		} else {
			$dated = trim($hh1.":".$mn1).$sth1;
		}

		if ($site[22] == "H3") {
			if ($hh2 < "00" || $hh2 > "12")  {
				$hh2 = "00";
			}
		} else {
			if ($hh2 < "00" || $hh2 > "24")  {
				$hh2 = "00";
				$sth2 = "";
			}
		}
		if (strlen($hh2) <2) {
			$hh2 = "0".$hh2;
		}
		if (strlen($mn2) <2) {
			$mn2 = "0".$mn2;
		}
		if ($mn2 < "00" || $mn2 > "60") {
			$mn2 = "00";
		}
		if ($site[22] == "H3") {
			if ($hh2.$mn2 < $hh1.$mn1 && $sth2 <= $sth1 ||$hh2.$mn2 == "00")  {
				$datef = "";
			} else {
				$datef = trim($hh2.":".$mn2).$sth2;
			}
		} else {
			if ($hh2.$mn2 < $hh1.$mn1 || $hh2.$mn2 == "0000")  {
				$datef  = "";
			} else {
				$datef = trim($hh2.":".$mn2);
			}
		}
		$cat2 = $dated."-".$datef;
	}

  	$data[8] = $cat2;
  	$data[9] = $titre1;
  	$data[10] = $titre2;
  	$data[11] = $contenu1;
  	$data[12] = $contenu2;
  	$data[13] = $nouveau1;
  	$data[14] = $nouveau2;
  	$data[15] = $siteweb;
    $data[16] = $fieldmail;
    $data[17] = $fieldmod;
	/// FORK AjouteMenu : MODIF 2
	if ($mnu_actif) {
		// crer l'item de menu associ  ce nouveau article si besoin
		$mnu_modecol = $new_modecol;
        AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
    	AM_CreateMenu($mnu_item, $mnu_id, "mnu_");
        $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur		
		AM_IncrNextID($mnu_id);
	}
	$mnu_id_art = ActionOnFields("mod", $data);
	if ($mnu_actif) {
		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
		$mnu_url1 .= $mnu_id_art;
		$mnu_url2 .= $mnu_id_art;	
		AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
//modif redacteur
		$mnu_menu_file   = CHEMIN."plugins/adm_redacteurs/data/plugins/ajoutemenu/".$upseudo."_menu%d.dtb";
    	AM_ModifyMenu($mnu_item, $mnu_id, "mnu_");
        $mnu_menu_file   = CHEMIN."data/plugins/ajoutemenu/menu%d.dtb";
// fin modif redacteur
	}
	/// Fin FORK AjouteMenu : MODIF 2
  	if ($qtype == TYP_HOMEPG) {
    	ReadDoc(DBBASE.$id);
    	$fieldc1 = addslashes(stripslashes($fieldc1));
    	$fieldc2 = addslashes(stripslashes($fieldc2));
    	$txt = "<?php
			\$home1 = stripslashes(\"$fieldc1\");
			\$home2 = stripslashes(\"$fieldc2\");
			?>"; ?> <?php
    	WriteFullDB(DBHOMEPAGE,$txt);
  	} elseif ($qtype == TYP_FOOTER) {
    	ReadDoc(DBBASE.$id);
    	$fieldc1 = addslashes(stripslashes($fieldc1));
    	$fieldc2 = addslashes(stripslashes($fieldc2));
    	$txt = "<?php
			\$foot1 = stripslashes(\"$fieldc1\");
			\$foot2 = stripslashes(\"$fieldc2\");
			?>"; ?> <?php
    	WriteFullDB(DBFOOT,$txt);
  	} elseif ($qtype == TYP_SPECIAL) {
    	ReadDoc(DBBASE.$id);
    	$fieldc1 = addslashes(stripslashes($fieldc1));
    	$fieldc2 = addslashes(stripslashes($fieldc2));
    	$txt = "<?php
			\$special1 = stripslashes(\"$fieldc1\");
			\$special2 = stripslashes(\"$fieldc2\");
			?>"; ?> <?php
    	WriteFullDB(DBSPECIAL,$txt);
  	} elseif ($qtype == TYP_FREEBOX1 || $qtype == TYP_FREEBOX2 || $qtype == TYP_FREEBOX3 || $qtype == TYP_FREEBOX4) {
    	ReadDoc(DBBASE.$id);
    	$fieldb1 = addslashes(stripslashes($fieldb1));
    	$fieldb2 = addslashes(stripslashes($fieldb2));
    	$fieldc1 = addslashes(stripslashes($fieldc1));
    	$fieldc2 = addslashes(stripslashes($fieldc2));
    	$txt = "<?php
			\$freetitle1 = stripslashes(\"$fieldb1\");
			\$freetitle2 = stripslashes(\"$fieldb2\");
			\$freetext1 = stripslashes(\"$fieldc1\");
			\$freetext2 = stripslashes(\"$fieldc2\");
			?>"; ?> <?php
    	if ($qtype == TYP_FREEBOX1) {
        	WriteFullDB(DBFREEBOX1,$txt);
    	} elseif ($qtype == TYP_FREEBOX2) {
        	WriteFullDB(DBFREEBOX2,$txt);
    	} elseif ($qtype == TYP_FREEBOX3) {
        	WriteFullDB(DBFREEBOX3,$txt);
    	} elseif ($qtype == TYP_FREEBOX4) {
        	WriteFullDB(DBFREEBOX4,$txt);
    	}
  	}
  	$form = 0;
}

global $wri;
$mnu_modecol = '';
$topmess = $qtitle;
/////////MODIF ADM_REDACTEURS(FONCTION MINIEDITOR)///////////////////////////////////////////////
require CHEMIN.'plugins/adm_redacteurs/editors/editors_functions.php';

if (!empty($redacprefs['reditor'])) {
	$serviz[49] = ($redacprefs['reditor'] == "wysiwyg")  ? true : false;
}

$headinc .= addJavascript(array('jquery-min', 'phpserializer', 'add_table_chexboxes', 'admin'));
$headinc .= addCSS('admin');
/////////FIN MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
include(CHEMIN."inc/hpage.inc");
$langue0 = $lang[0];
$langue1 = $lang[1];
   
if ($qtype == TYP_GUESTBK || $qtype == TYP_FORUM || $qtype == TYP_BANNER || $qtype == TYP_REACT) {
    $flag1 = CHEMIN."inc/lang/lang.gif";
    $lang[0] = "lang";
    $lang[1] = "";
}

htable($qtitle, "100%");

if ($qformonly == 2) {
    $form = 2;
}

if ($qintro != "") {
    echo '
    	<div style="text-align:center;margin-bottom:20px;">'.$qintro.'<br />
    	<hr />
    	<a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <a href="admin.php?lng='.$lng.'&amp;logout=1"><strong>'.$admin19.'</strong></a>
    	<hr /><br />    
    ';
}

if ($qseeall != "") {
    if ($qtype == TYP_FREEBOX1 || $qtype == TYP_FREEBOX2 || $qtype == TYP_FREEBOX3 || $qtype == TYP_FREEBOX4) {
        echo '<a href="admin.php?lng='.$lng.'&amp;pg=freebox">'.$qseeall.'</a>';
    } else {
        echo '<a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'">'.$qseeall.'</a>';
    }
    
    if ($qwrite != "" && $qtype == TYP_AGENDA) {
        echo '|| <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;form=3">'.$qwrite.'</a>';
    } elseif($qwrite != "" ) {
		/////////MODIF ADM_REDACTEURS (OPTION AJOUTER)////////////////////////////////////////////////////////////////
		///////Autorisation ou pas d'crire un article//////////////////////////////////////
     	if (isset($redacprefs['rwrit'.$pgreturn[$qtype]]) && $redacprefs['rwrit'.$pgreturn[$qtype]] == "On") {
            echo '|| <a href="admin.php?lng='.$lng.'&amp;pg='.$pgreturn[$qtype].'&amp;tri='.$tri.'&amp;form=1">'.$qwrite.'</a>';
       	}
		/////////FIN MODIF ADM_REDACTEURS (OPTION AJOUTER)////////////////////////////////////////////////////////////////
	}
}

if ($qintro != "") {
    echo '</div>';
}

if ($form == 3) {
//MODIF ADM_REDACTEURS///////////////
	include(CHEMIN."plugins/adm_redacteurs/inc/cal.inc");
}

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////////    PAGES ACCUEIL   ////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
if (empty($form)) {
	if (empty($tri)) $tri="-id";
	/////////MODIF ADM_REDACTEURS////////////////////////////////////////////////////////////////
	//Comparaison entre fichier doc de l'admin et fichier doc du rdacteur et correction si ncessaire///////////////////////////
    $doc_items_redac = ReadDBFields($docidredac);
    $doc_items_admin = ReadDBFields(DOCID);
		for ($i=0; $i < count($doc_items_redac); $i++) {
			for ($j=0; $j < count($doc_items_admin); $j++) {
				if ($doc_items_admin[$j][1]== $doc_items_redac[$i][1]){
					$doc_items_redac[$i]= $doc_items_admin[$j];
				}
			}			
		}	
	WriteDBFields($docidredac, $doc_items_redac); 
  	//on enlve les fichiers supprims depuis l'admin de guppy
	$DBF = SelectDBFieldsByNotStatus(ReadDBFields($docidredac), "d");
	WriteDBFields($docidredac, $DBF);  
	// Rcupration par type des identits des fichiers rdigs par le rdacteur
	//  $dbwork = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),"d");
    $dbwork = SelectDBFieldsByType(ReadDBFields($docidredac),$qtype);     
	/////////FIN MODIF ADM_REDACTEURS//////////////////////////////////////////////////////////////// 
  	@rsort($dbwork);
  	$tmpi=0;
	$tmp[0] =array();
	$tmp[1] =array();
	$tmp[2] =array();
  	$flng = ($lng == $lang[0]);
  	$format_nextid = "%".ceil(log10(ReadCounter(NEXTID)))."u";
  	$format_fr = "%".ceil(log10(ReadCounter(DBFORUMCOUNTER)))."u";
  	for ($i = 0; $i < count($dbwork); $i++) {
    	ReadDoc(DBBASE.$dbwork[$i][1]); 
    	$fielda1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda1)));
    	$fielda2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fielda2)));
    	$fieldb1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb1)));
    	$fieldb2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldb2)));
    	$fieldc1 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldc1)));
    	$fieldc2 = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $fieldc2)));
    	$champs0 = "";
    	$champs1 = "";
    	$champs2 = "";
      	if ($fileid != $dbwork[$i][1] || $type != $dbwork[$i][0]) {
        	$fileid = "*".$dbwork[$i][1];
        	$champs0 = "Problme";
        	$champs1 = "Fichier absent ou vide, mais prsent dans docid";
        	$champs2 = "type=".$dbwork[$i][0];
      	}
    
    	switch ($type) {
    		case TYP_GUESTBK :
      			$champs1 = $admin175.$fielda1." - ";
      			$champs2 = $author;
      			break;
    		case TYP_BANNER :
      			$champs1 = $fieldb1." - ";
      			$champs2 = $fielda1;
      		break;
    		case TYP_REACT :
      			$champs0 = $web292.Formatage($format_nextid, $fielda2)." - ";
      			$champs1 = $admin175.Formatage("%2u", $fielda1)." - ";
      			$champs2 = $author;
     			 break;
    		case TYP_NEWS :
      			$champs1 = ($flng ? $fieldb1 : $fieldb2)." - ";
      			$champs2 = $author;
      		break;
    		case TYP_NWL :
      			$champs1 = ($flng ? $fieldb1 : $fieldb2);
      			break;
    		case TYP_FORUM :
      			if ($fielda2 == "0") {
          			$champs1 = $admin208.Formatage($format_fr, $fielda1)." + ";
          			$champs2 = "<strong>".$fieldb1."</strong>";
      			} else {
          			$champs1 = $admin208.Formatage($format_fr, $fielda1)." - ";
          			$champs2 = $admin209.Formatage("%2u", $fielda2);
      			}
      			break;
    		case TYP_ART :
        	/// FORK AjouteMenu : LISTE 1
        	if ($mnu_include || ($serviz[3] == "on" && $serviz[22] == "on")) {
          		if ($fieldd1 == "right") {
             		 $champs0 = $admin353." ";
          		} else {
              		$champs0 = $admin352." ";
          		}
          		if (empty($fielda1)) {
              		$champs0 = $admin681." ";
          		}
        	}
        	if ($mnu_include) {
          		list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
          		if ($mnu_code == "am") {
            		AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
            		$fielda1 = $mnu_categ1;
            		$fielda2 = $mnu_categ2;
            		$fieldb1 = $mnu_titre1;
            		$fieldb2 = $mnu_titre2;
            		$champs0 = sprintf("Menu %02d : %s - ", $mnu_id, AM_GetTitre($mnu_id));
          		}
        	}
        /// Fin FORK AjouteMenu : LISTE 1

      			$champs1 = ($flng ? $fielda1 : $fielda2)." - ";
      			$champs2 = ($flng ? $fieldb1 : $fieldb2);
      			break;
    		case TYP_BLOG :
    		case TYP_DNLOAD :
    		case TYP_FAQ :
    		case TYP_LINKS :
    		case TYP_PHOTO :
    		case TYP_RSS :
      			$champs1 = ($flng ? $fielda1 : $fielda2)." - ";
      			$champs2 = ($flng ? $fieldb1 : $fieldb2);
      			break;
    		case TYP_THINK :
      			$champs1 = ($flng ? $fieldb1 : $fieldb2)." - ";
      			$champs2 = ($flng ? $fieldc1 : $fieldc2);
      			break;
    		case TYP_RECO :
     			 $champs1 = $fieldb1." - ";
      			$champs2 = ($flng ? $fieldc1 : $fieldc2);
      			break;
    		case TYP_AGENDA :
      			$champs1 = $fielda1." - ";
      			$champs2 = ($flng ? $fieldc1 : $fieldc2);
      			break;
    	}
    
    	$tmp[0][$tmpi] = $champs0."<strong>".$champs1."</strong>".$champs2;
    	$tmp[1][$tmpi] = $fileid;
    	$tmp[2][$tmpi] = $status;
    	$tmpi++;
  	}
  	unset($dbwork);

  	if ($tmpi > 0) { 		

        if ($tri == 'id') {
  		    $admin675 = '<strong>'.$admin675.'</strong>';
  		} elseif ($tri == '-id') {
            $cr = array_multisort($tmp[1], SORT_NUMERIC, SORT_ASC, $tmp[0], $tmp[2]);
  		    $admin674 = '<strong>'.$admin674.'</strong>';
  		} elseif ($tri == 'ch') {
            $cr = array_multisort($tmp[0], SORT_ASC, $tmp[1], $tmp[2]);
            $admin676 = '<strong>'.$admin676.'</strong>';
  		} elseif ($tri == '-ch') {
  		    $cr = array_multisort($tmp[0], SORT_DESC, $tmp[1], $tmp[2]);
            $admin677 = '<strong>'.$admin677.'</strong>';
  		} elseif ($tri == 'ia') {
  		    $cr = array_multisort($tmp[2], SORT_ASC, $tmp[1], $tmp[0]);
  		    $redac185 = '<strong>'.$redac185.'</strong>';
  		} elseif ($tri == 'ai') {
  		    $cr = array_multisort($tmp[2], SORT_DESC, $tmp[1], $tmp[0]);
  		    $redac184 = '<strong>'.$redac184.'</strong>';
  		} 

        $href = CHEMIN."plugins/adm_redacteurs/admin.php?lng=".$lng."&amp;pg=".$pg;
                   
		echo '
            <p align="center">
            <a href="'.$href.'&amp;tri=id">'.$admin674.'</a> - <a href="'.$href.'&amp;tri=-id">'.$admin675.'</a><br />
            <a href="'.$href.'&amp;tri=ch">'.$admin676.'</a> - <a href="'.$href.'&amp;tri=-ch">'.$admin677.'</a><br />
            <a href="'.$href.'&amp;tri=ia">'.$redac185.'</a> - <a href="'.$href.'&amp;tri=ai">'.$redac184.'</a>
            </p>
        ';
	}

  	if (empty($idpg)) {
    	$idpg = 1;
  	} else {
    	while ($tmpi <= ($idpg - 1)* $nbresult) $idpg--;
  	}
    
	if ($tmpi - ($nbresult*($idpg-1)) > $nbresult) {
		$maxresult = $nbresult;
  	} else {
 		$maxresult = $tmpi - ($nbresult*($idpg-1));
	}
	
	if ($tmpi > 0) {
    	$navbar = GetNavBar("admin.php?lng=".$lng."&amp;pg=".$pgreturn[$qtype]."&amp;tri=".$tri."&amp;idpg=", $tmpi, $idpg, $nbresult);
    	echo '<hr />'.$navbar;
		/////////MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)//////////////////////////////////////////////////////////////// 
    	if (isset($redacprefs['ract'.$pgreturn[$qtype]]) && $redacprefs['ract'.$pgreturn[$qtype]] == "On") {
                echo '
            <form name="fast_actions" action="admin.php?lng='.$lng.'&amp;idpg='.$idpg.'&amp;pg='.$pgreturn[$qtype].'&amp;id='.$id.'&amp;tri='.$tri.'&amp;act=fast" method="post">';
                echo '
            <div align="right" style="width:90%; padding-right:42px;">
            <input class="bouton" type="submit" value="'.$web361.'" />
            <img src="'.CHEMIN.'inc/img/general/bas.gif" alt="" style="padding-top: 3px;" />
            </div>
            ';
		}
		/////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)////////////////////////////////////////////////////////////////
		if (isset($redacprefs['ract'.$pgreturn[$qtype]]) && $redacprefs['ract'.$pgreturn[$qtype]] == "On") {
  		    echo addDataToJScriptChexboxes('actions');
        }
        echo '
    <table id="tableDB" cellpadding="4" cellspacing="1" width="90%">
    <thead>
    <tr class="forum">
        <th>'.$admin678.'</th><th>'.$admin679.'</th><th>'.$admin680.'</th>
    </tr>
    </thead>
    <tfoot>
    <tr class="forum">
        <th>'.$admin678.'</th><th>'.$admin679.'</th><th>'.$admin680.'</th>
    </tr>
    </tfoot>
    <tbody>';
        for ($i = $nbresult*($idpg-1); $i < Min($nbresult*$idpg, $tmpi); $i++) {
            $fileid = $tmp[1][$i];
            $status = $tmp[2][$i];
        echo '
    <tr class="'.(($i %2 == 0)? 'rep' : 'quest').(($status == 'a') ? ' actif' : ' inactif').'">
        <td>'.$tmp[1][$i].' </td>
        <td style="width:100%;text-align:left;">';
		    /////////MODIF ADM_REDACTEURS (OPTION AUTORISER MODIFICATION)//////////////////////////////////////////////////////////////// 
    		if (isset($redacprefs['rmod'.$pgreturn[$qtype]]) && $redacprefs['rmod'.$pgreturn[$qtype]] == "On") {
  				echo "<a href=\"admin.php?lng=".$lng."&amp;pg=".$pgreturn[$qtype]."&amp;tri=".$tri."&amp;form=2&amp;idpg=".$idpg."&amp;id=".$fileid."\" title=\"".$admin33."\">";
  				echo '<img src="inc/img/files/edit.gif" border="0" alt="'.$admin33.'" title="'.$admin33.'" style="vertical-align:middle;margin-right:5px;" />';
      			echo $tmp[0][$i].'</a>'; 
			} else {
  				echo '<img src="inc/img/files/edit.gif" border="0" alt="'.$admin33.'" title="'.$admin33.'" style="vertical-align:middle;margin-right:5px;" />';
      			echo $tmp[0][$i]; 
			}
            echo '
        </td>';
  //          echo '<td align="center">'.addFileStatus($status).'</td>';
    echo '<td align="center" style="white-space:nowrap;" class="action">';
            if (!empty($redacprefs['ract'.$pgreturn[$qtype]])) {
                if ($status == "a") {
                    //echo makeRadioGroupRedac(array('i', 'd'), $fileid);
                    echo makeRadioGroupRedac(array('i'), $fileid);
                }
                elseif ($status == "i") {
                    //echo makeRadioGroupRedac(array('a', 'd'), $fileid);
                    echo makeRadioGroupRedac(array('a'), $fileid);
                }
            } else {
                echo addFileStatus($status); 
            }
            echo '
        </td>
    </tr>';
        }
    
        echo '
    </tbody>
    </table>';
		/////////MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)////////////////////////////////////////////////////////////////  
    	if (isset($redacprefs['ract'.$pgreturn[$qtype]]) && $redacprefs['ract'.$pgreturn[$qtype]] == "On") {
                echo '
            <div align="right" style="width:90%; padding-right:42px;">
            <input class="bouton" type="submit" value="'.$web361.'" />
            <img src="'.CHEMIN.'inc/img/general/up1.gif" alt="" style="padding-bottom: 3px;" />
            </div>
            </form>';
		} 
		/////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER ACTIVATION OU DESACTIVATION)////////////////////////////////////////////////////////////////	
  		echo $navbar;
	} else {
	  	echo '<p style="text-align:center">'.$admin854.'</p>';
	}
}
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////////    PAGES ECRITURE  ////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////

/////////MODIF ADM_REDACTEURS (MISE EN PAGE) ///////////////////////////////////////////////////////////////////////////////////////////////  

elseif ($form == 1) {
	echo '<form name="adminsend" action="admin.php?lng='.$lng.'" method="post">';
	echo '<input type="hidden" name="add" value="1" />';
	echo '<input type="hidden" name="pg" value="'.$pgreturn[$qtype].'" />';
	echo '<input type="hidden" name="tri" value="'.$tri.'" />';
	echo '<input type="hidden" name="idpg" value="'.$idpg.'" />';
  /// FORK AjouteMenu : SAISIE CREATION 1
  	if ($mnu_include) {
    	$fieldd2 = "";
  	}
  /// Fin FORK AjouteMenu : SAISIE CREATION 1

    //Pseudo du rdacteur
	if ($bname == 1) {
        //echo '<div style="text-align:center;">'.$admin114.'</div>';
		echo '<div style="text-align:center;"><input class="texte" type="hidden" name="pseudo1" value="'.$myname.'" /></div>';
 	}
	//E-mail du rdacteur
 	if ($bemail == 1) {
		echo '<div style="text-align:center;">'.$admin115.'</div>';
		echo '<div style="text-align:center; padding-top:5px; padding-bottom:10px;"><input class="texte" type="text" name="email1" size="40" value="" /></div>';

 	}
	//Affichage de l'email du rdacteur
	if ($bnouveau == 2) {
		echo '<div style="text-align:center;vertical-align:middle; padding-bottom:5px;">'.$qnouveau.'<input type="checkbox" name="nouveau1" value="on" style="margin-left:10px;vertical-align:middle;" checked="checked" /></div>';
   	}
	//Catgorie du document crit
 	if ($bcat == 1 && $qtype != TYP_AGENDA) {
 	    //////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
		if (isset($redacprefs['rwritcat'.$pgreturn[$qtype]]) && $redacprefs['rwritcat'.$pgreturn[$qtype]] == "On") {
        	echo '<div style="text-align:center;">'.$qcat.'</div>';
	  	}
		//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
		if ($qtype == TYP_BANNER) {
			//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
          	echo '
				<div style="text-align:center; padding-top: 5px; padding-bottom: 10px;">
					<select name="cat1" style="vertical-align:middle;">
          			<option value="" selected="selected">'.$admin90.'</option>
			';
			$redac_img = array_merge($redac_img, $swf);
			@asort($redac_img);
			foreach ($redac_img as $dirname => $valeur) {
        		echo '<option value="'.$dirname.'">'.$valeur.'</option>'."\n";
			}
			echo '	</select>';
			echo '	<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'cat1\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />'."\n";
			echo '</div>';
		//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
 	    //////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
     	} else if (isset($redacprefs['rwritcat'.$pgreturn[$qtype]]) && $redacprefs['rwritcat'.$pgreturn[$qtype]] != "On") {
// Modif multicat////////
			$redacprefs['rnamecat'.$pgreturn[$qtype]] = explode('||', $redacprefs['rnamecat'.$pgreturn[$qtype]]);
			$nbRnamecat = count($redacprefs['rnamecat'.$pgreturn[$qtype]]);
        	if ($nbRnamecat == 1) {
				echo '<div style="text-align:center;"><input  type="hidden" name="cat1"  value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][0], ENT_COMPAT, $charset).'" /></div>';
				if ($lang[1] != "") {
					echo '<div style="text-align:center;"><input  type="hidden" name="cat2"  value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][0], ENT_COMPAT, $charset).'" /></div>';
				}
			} else {
				echo '<p style="text-align:center;padding-top:5px;">'.$admin35.'</p>';
				echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;" /></div>';
				echo '<div style="text-align:center;">';
				echo '<select name="cat1" size="5" style="width:375px;">';
				echo '<option value="'.htmlspecialchars(trim($redacprefs['rnamecat'.$pgreturn[$qtype]][0]), ENT_COMPAT, $charset).'" selected="selected">'.str_replace(array('<!--', '-->'), array('', ' '), trim($redacprefs['rnamecat'.$pgreturn[$qtype]][0])).'</option>';
				for ($i = 1; $i < $nbRnamecat; $i ++) {
					$redacprefs['rnamecat'.$pgreturn[$qtype]][$i] = trim($redacprefs['rnamecat'.$pgreturn[$qtype]][$i]);
					echo '<option value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][$i], ENT_COMPAT, $charset).'">'.str_replace(array('<!--', '-->'), array('', ' '), $redacprefs['rnamecat'.$pgreturn[$qtype]][$i]).'</option>';
				}
				echo '</select></div>';
				
				if ($lang[1] != "") {
				echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;" /></div>';
				echo '<div style="text-align:center;">';
				echo '<select name="cat2" size="5" style="width:375px;">';
				echo '<option value="'.htmlspecialchars(trim($redacprefs['rnamecat'.$pgreturn[$qtype]][0]), ENT_COMPAT, $charset).'" selected="selected">'.str_replace(array('<!--', '-->'), array('', ' '), trim($redacprefs['rnamecat'.$pgreturn[$qtype]][0])).'</option>';
				for ($i = 1; $i < $nbRnamecat; $i ++) {
					$redacprefs['rnamecat'.$pgreturn[$qtype]][$i] = trim($redacprefs['rnamecat'.$pgreturn[$qtype]][$i]);	
					echo '<option value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][$i], ENT_COMPAT, $charset).'">'.str_replace(array('<!--', '-->'), array('', ' '), $redacprefs['rnamecat'.$pgreturn[$qtype]][$i]).'</option>';
				}
				echo '</select></div>';
				}
			}
// Fin Modif multicat////////				 
		//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
		} else {
			$dbdocguppy = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),"d");
			$namecatlng0 = array();
			$namecatlng1 = array();
			for ($i = 0; $i < count($dbdocguppy); $i++) {
				ReadDoc(DBBASE.$dbdocguppy[$i][1]);
  				/// FORK AjouteMenu : SAISIE MODIF 1
 	 			if ($mnu_include) {
    				list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
    				if ($mnu_code == "am") {
						AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
						$fielda1 = $mnu_categ1;
						$fielda2 = $mnu_categ2;
    				}
					unset($mnu_code);
					unset($mnu_id);
					unset($mnu_item);
  				}
  				/// Fin FORK AjouteMenu : SAISIE MODIF 1

				$namecatlng0[$fielda1]= strtolower($fielda1);
				$namecatlng1[$fielda2]= strtolower($fielda2);
			} 
			if(count($namecatlng0) > 1) {
				$namecatlng0 = array_unique($namecatlng0);
				asort($namecatlng0);
			}
			if(count($namecatlng1) > 1) {
				$namecatlng1 = array_unique($namecatlng1);
				asort($namecatlng1);
			}
?>
			<script type="text/javascript">
				function addCat(nameform,nameinput,nameselect) {
					var message = '<?php echo addslashes($redac153); ?>';				
					var nameaddcat = document.forms[nameform].elements[nameinput].value;
						nameaddcat = nameaddcat.replace(/"/g,"'");
 					var nameaddcatvalue = nameaddcat.replace(/\s/g,'');
 					if(nameaddcatvalue == '') {
	 					alert(message);
					} else {
	 					nameaddcatvalue = nameaddcat.replace(/<!--/g,'');
						nameaddcatvalue = nameaddcatvalue.replace(/-->/g,' ');
 						nameaddcatvalue = nameaddcatvalue.replace(/"/g,"'");
						new_option = new Option(nameaddcatvalue,nameaddcat,false,true);
						document.forms[nameform].elements[nameselect].options[document.forms[nameform].elements[nameselect].length] = new_option;
						document.forms[nameform].elements[nameinput].value =  '';
					}
				}
			</script>
<?php
			echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;" /></div>';
			echo '<div style="text-align:center;">';
			echo '<select name="cat1" size="5" style="width:375px;">';
			echo '<option value="" selected="selected">'.$redac159.'</option>';

			foreach($namecatlng0 as $cle => $valeur) {
				if($cle != '') {
					$namecatmenu = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
					echo '<option value="'.$cle .'">'.$namecatmenu.'</option>';
				}
			}
			echo '</select>';
			echo '</div>';
			echo '<div style="text-align:center;">';
			echo '<input name="addvaluecat1" type="text" value="" /><input name="buttonaddcat1" type="button" value="'.$redac160.'" onclick="addCat(\'adminsend\',\'addvaluecat1\',\'cat1\');" />';
			echo '</div>';
			if ($lang[1] != "") {
				echo '<div style="text-align:center;padding-top:15px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;" /></div>';
				echo '<div style="text-align:center;">';
				echo '<select name="cat2" size="5" style="width:375px;">';
				echo '<option value="" selected="selected">'.$redac159.'</option>';
				foreach($namecatlng1 as $cle => $valeur) {
					if($cle != '') {
						$namecatmenu = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
						echo '<option value="'.$cle .'">'.$namecatmenu.'</option>';
					}
				}
				echo '</select>';
				echo '</div>';
				echo '<div style="text-align:center;">';
				echo '<input name="addvaluecat2" type="text" value="" /><input name="buttonaddcat2" type="button" value="'.$redac160.'" onclick="addCat(\'adminsend\',\'addvaluecat2\',\'cat2\');" />';
				echo '</div>';		
			}
		}
	} elseif ($bcat == 1 && $qtype == TYP_AGENDA) {
		$mois = ( isset($_GET['mois']) && preg_match("`^[0-9]{2}$`", $_GET['mois']) ) ?  $_GET['mois'] :  date("m");
		$annee = ( isset($_GET['annee']) && preg_match("`^[0-9]{4}$`", $_GET['annee']) ) ?  $_GET['annee'] : date("Y");

		echo '<div style="text-align:center;">'.$qtitre.'</div>';
		echo '<div style="text-align:center;padding:15px;">'.$admin630.'</div>';
		echo '<div style="text-align:center;"><input class="texte" type="text" name="cat1" size="45" value="'.substr(FormatDate($annee.$mois.$day."00000"), 0, 10).'" readonly="readonly" /><input type="hidden" name="titre1" size="45" value="'.$mois.$annee.'" /></div>';
		echo '<input type="hidden" name="titre1" size="45" value="'.$mois.$annee.'" />';
		echo '
		   <div style="text-align:center;">'.$admin923.'
		    <input class="texte" type="texte" name="hh1" value="" maxlength="2" style="width:20px;" /> :&nbsp;
		    <input class="texte" type="texte" name="mn1" value="" maxlength="2" style="width:20px;" />';
		   if ($site[22] == "H3") {
			    echo '
			    <select name="sth1" class="select" style="vertical-align:middle">
			      <option value=" AM" selected="selected">AM</option>
			      <option value=" PM">PM</option>
			    </select>';
		}
	    echo '</div>';
	    echo '<div style="text-align:center;">'.$admin924.'
	    <input class="texte" type="texte" name="hh2" value="" maxlength="2" style="width:20px;" /> :&nbsp;
	    <input class="texte" type="texte" name="mn2" value="" maxlength="2" style="width:20px;" />';
    if ($site[22] == "H3") {
		    echo '
		    <select name="sth2" class="select" style="vertical-align:middle">
		      <option value=" AM" selected="selected">AM</option>
		      <option value=" PM">PM</option>
		    </select>';
		    }
		echo '</div>';
		}
	//Titre du document
 	if ($btitre >= 1) {
 		echo '<div style="text-align:center; padding-top: 15px;">'.$qtitre.'</div>';
		echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /><input class="texte" type="text" name="titre1" size="55" style="vertical-align:middle;" /></div>';
 		if ($lang[1] != "") {
			echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /><input class="texte" type="text" name="titre2" size="55" style="vertical-align:middle;" /></div>';
  		}
	}
 	if ($bnouveau == 1) {
 		if ($qtype == TYP_PHOTO) {
			echo '<div style="text-align:center; padding-top: 15px;">'.$qnouveau.'</div>';
			//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
			echo '
				<div style="text-align:center; padding-top: 5px;">
					<select name="nouveau1" style="vertical-align:middle;">
					<option value="" selected="selected">'.$admin90.'</option>
			';
			foreach ($foto as $dirname => $valeur) {
        		echo '<option value="'.$dirname.'">'.$valeur.'</option>'."\n";
			}
			echo '	</select>';
			echo '	<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Media&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau1\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />'."\n";
			echo '</div>';
			//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
		} elseif ($qtype == TYP_ART) {
			//////////////////////MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////
			echo '<div style="text-align:center; padding-top: 15px;">'.$admin456.'</div>';
    		echo '<div style="text-align:center; padding: 5px;"><select name="nouveau1" >';
			switch($redacprefs['rbart']) {
				case 'bart1' :
            		echo '<option value="left" selected="selected">'.$admin348.'</option>';
					break;
				case 'bart2' :
             		echo '<option value="right" selected="selected">'.$admin349.'</option>';
					break;
				case 'bajmnu' :
      				if ($mnu_include) {
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
        				for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
          					$mnu_titre = AM_GetTitre($mnu_i);
          					if (!empty($mnu_titre)) {
            					$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
            					echo '<option value="'.$mnu_i.'">'.$mnu_txt.'</option>';
          					}
        				}
      				}
					break;
				default :				
            		echo '<option value="left" selected="selected">'.$admin348.'</option>';
            		echo '<option value="right">'.$admin349.'</option>';
      				/// FORK AjouteMenu : SAISIE CREATION 2
      				if ($mnu_include) {
//modif admredacteurs
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
        				for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
//fin modif admredacteurs
          					$mnu_titre = AM_GetTitre($mnu_i);
          					if (!empty($mnu_titre)) {
            					$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
            					echo '<option value="'.$mnu_i.'">'.$mnu_txt.'</option>';
          					}
        				}
      				}
      				/// Fin FORK AjouteMenu : SAISIE CREATION 2
			}
			echo'</select></div>';
			//////////////////////FIN MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////

            /// Fork AjouteMenu : SAISIE CREATION 3
            if ($mnu_include) {
                echo '<div style="text-align:center; padding-top:15px;">'.$mnu_adm140.'</div>';
                echo '<div style="text-align:center; padding-top: 5px;"><select name="new_modecol">';
                foreach (array(array('', $mnu_adm143), array('W', $mnu_adm144), array('G', $mnu_adm145), array('D', $mnu_adm146), array('L', $mnu_adm147), array('R', $mnu_adm148)) as $x) {
                    echo '<option value="'.$x[0].'">'.$x[1].'</option>';
                }
                echo '</select></div>';
            }
            /// FORK AjouteMenu
        } else if($qtype == TYP_DNLOAD) { 
 			echo '<div style="text-align:center; padding-top:15px;">'.$qnouveau.'</div>';
			echo '<div style="text-align:center; padding-top:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" />
			<input class="texte" type="text" id="nouveau1" name="nouveau1" style="vertical-align:middle;width:240px;" />
			<input type="button" style="vertical-align:middle;" name="browserver1" id="browserver1" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau1\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />			
			</div>';
 			if ($lang[1] != "") {
				echo '<div style="text-align:center; padding:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" />
				<input class="texte" type="text" id="nouveau2" name="nouveau2" style="vertical-align:middle;width:240px;" />
				<input type="button" style="vertical-align:middle;" name="browserver2" id="browserver2" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Link&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau2\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />			
				</div>';
   			}
		} else {
 			echo '<div style="text-align:center; padding-top:15px;">'.$qnouveau.'</div>';
			echo '<div style="text-align:center; padding-top:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /><input class="texte" type="text" name="nouveau1" size="55" style="vertical-align:middle;" /></div>';
 			if ($lang[1] != "") {
				echo '<div style="text-align:center; padding:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /><input class="texte" type="text" name="nouveau2" size="55" style="vertical-align:middle;" /></div>';
   			}
  		}
 	}

    /// dbut modif accs rserv
    if (in_array($qtype, array(TYP_ART, TYP_AGENDA, TYP_BLOG, TYP_DNLOAD, TYP_FAQ, TYP_LINKS, TYP_NEWS, TYP_PHOTO))) {
        if (!empty($redacprefs['raccessprivategroup'])) {
            echo display_select_private_group(); 
        }
    } /// fin modif accs rserv

	if ($qtype == TYP_ART  || $qtype == TYP_BLOG || $qtype == TYP_NEWS) {
		echo '<div style="text-align:center; padding-top:15px;">'.(($qtype == TYP_ART || $qtype == TYP_BLOG)? $admin461 : $admin462).'</div>';
		//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
		echo '
			<div style="text-align:center; padding-top:5px;">
				<select name="nouveau2" style="vertical-align:middle;">
				<option value="" selected="selected">'.$admin307.'</option>
		';
		foreach ($redac_img as $dirname => $valeur) {
        	echo '<option value="'.$dirname.'">'.$valeur.'</option>'."\n";
		}
		echo '	</select>';
		echo '	<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau2\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />'."\n";
		echo '</div>';
		//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
 	}
	//Miniditeur
 	if ($bcontenu == 1) {
		echo '<div style="text-align:center;padding-top:20px;">'.$qcontenu.'</div>';
		echo '<div style="text-align:center;padding:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" alt="'.$lang[0].'" title="'.$lang[0].'" /></div>';

        display_admin_editor('contenu1', $serviz[63], '480px', '', $serviz[49]);    

 		if ($lang[1] != "") {
			echo '<div style="text-align:center; padding-top:20px; padding-bottom:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" alt="'.$lang[1].'" title="'.$lang[1].'" /></div>';
            display_admin_editor('contenu2', $serviz[63], '480px', '', $serviz[49]);
      	}
  	}
	echo '<div style="text-align:center; margin:20px;">'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'</div>';
	echo '</form>';
}
/////////FIN MODIF ADM_REDACTEURS (MISE EN PAGE)//////////////////////////////////////////////////////////// 

/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////    PAGES MODIFICATION   ///////////////////////////////
/////////////////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////
elseif ($form == 2) {
	ReadDoc(DBBASE.$id);
    echo '
    	<form name="adminsend" action="admin.php?lng='.$lng.'" method="post">
    	<input type="hidden" name="pg" value="'.$pgreturn[$qtype].'" />
    	<input type="hidden" name="tri" value="'.$tri.'" />
    	<input type="hidden" name="mod" value="1" />
    	<input type="hidden" name="form" value="2" />
    	<input type="hidden" name="idpg" value="'.$idpg.'" />
    	<input type="hidden" name="id" value="'.$id.'" />
    ';

	if ($bcat == 1 && $qtype == TYP_AGENDA) {
		if ($dup == 2) {
			$fieldb1 = $mois.$annee;
		}
		echo '<input type="hidden" name="titre1" value="'.$fieldb1.'" />';
	}

 	if ($qtype == TYP_GUESTBK || $qtype == TYP_FORUM || $qtype == TYP_REACT) {
		echo '<input type="hidden" name="cat1" value="'.$fielda1.'" />';
 	}
 	if ($qtype == TYP_FORUM || $qtype == TYP_REACT) {
		echo '<input type="hidden" name="cat2" value="'.$fielda2.'" />';
 	}
	//Pseudo du rdacteur
 	if ($bname == 1) {
	    //echo '<div style="text-align:center;">'.$admin114.'</div>';
		echo '<div style="text-align:center;"><input class="texte" type="hidden" name="pseudo1" value="'.$myname.'" /></div>';
 	}
	//E-mail du rdacteur
 	if ($bemail == 1) {
		echo '<div style="text-align:center;">'.$admin115.'</div>';
		echo '<div style="text-align:center; padding-top:5px; padding-bottom:10px;"><input class="texte" type="text" name="email1" size="40" value="'.$email.'" /></div>';
 	}
	//Affichage de l'email du rdacteur
 	if ($bnouveau == 2) {
		echo '<div style="text-align:center; vertical-align:middle; padding-bottom:10px;">'.$qnouveau.'<input type="checkbox" name="nouveau1" value="on" style="margin-left:10px; vertical-align:middle;"';
		if ($fieldd1 == "on") echo ' checked="checked"';
		echo ' /></div>';
 	}
	//Catgorie du document crit
 	if ($bcat == 1) {
		if ($qtype == TYP_AGENDA) {
			if ($dup == 2)  {
				$fielda1 = substr(FormatDate($annee.$mois.$day."00000"), 0, 10);
			}
			echo '<div style="text-align:center">'.$qcat.'</div>';
			echo '<div style="text-align:center"><input class="texte" type="text" name="cat1" size="40" value="'.$fielda1.'" readonly="readonly" /></div>';
			$timeag = explode("-", $fielda2);
			if ($site[22] == "H3") {
				$sthh1 = explode(" ", $timeag[0]);
				$timed = explode(":", $sthh1[0]);
				$sthh2 = explode(" ", $timeag[1]);
				$timef = explode(":", $sthh2[0]);
			} else {
				$timed = explode(":", $timeag[0]);
				$timef = explode(":", $timeag[1]);
			}
			echo '
			<div style="text-align:center">'.$admin923.'
			<input class="texte" type="texte" name="hh1" size="2" value="'.$timed[0].'" maxlength="2" style="width:30px;" /> :&nbsp;
			<input class="texte" type="texte" name="mn1" size="2" value="'.$timed[1].'" maxlength="2" style="width:30px;" />';
			if ($site[22] == "H3") {
			?>
				<select name="sth1" class="select">
				<option value=" AM"<?php if ($sthh1[1] == " AM") { echo " selected='selected'"; } ?>><?php echo "AM"; ?></option>
				<option value=" PM"<?php if ($sthh1[1] == " PM") { echo " selected='selected'"; } ?>><?php echo "PM"; ?></option>
				</select>
			<?php
			}
			echo '</div>
			<div style="text-align:center">'.$admin924.'
			<input class="texte" type="texte" name="hh2" size="2" value="'.$timef[0].'" maxlength="2" style="width:30px;" /> :&nbsp;
			<input class="texte" type="texte" name="mn2" size="2" value="'.$timef[1].'" maxlength="2" style="width:30px;" />';
			if ($site[22] == "H3") {
			?>
				<select name="sth2" class="select">
				<option value=" AM"<?php if ($sthh2[1] == " AM") { echo " selected='selected'"; } ?>><?php echo "AM"; ?></option>
				<option value=" PM"<?php if ($sthh2[1] == " PM") { echo " selected='selected'"; } ?>><?php echo "PM"; ?></option>
				</select>
			<?php
			}
			echo '</div>';
   	} elseif ($qtype != TYP_FORUM ) {
 	    	//////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
 	    	if (isset($redacprefs['rwritcat'.$pgreturn[$qtype]]) && $redacprefs['rwritcat'.$pgreturn[$qtype]] == "On") {
				echo '<div style="text-align:center;">'.$qcat.'</div>';
			}		  
 	    	//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
			if ($qtype == TYP_BANNER) {
				//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
            	echo '
					<div style="text-align:center; padding-top:5px;">
						<select name="cat1" style="vertical-align:middle;">
            			<option value=""'.(($fielda1 == '')? ' selected="selected"' : '').'>'.$admin90.'</option>
				';
				$redac_img = array_merge($redac_img,$swf);
				@asort($redac_img);
				foreach ($redac_img as $dirname => $valeur) {
        			$sel = ($fielda1 == $dirname)? ' selected="selected"' : '';
        			echo '	<option value="'.$dirname.'" '.$sel.'>'.$valeur.'</option>'."\n";
				}
				echo '
						</select>
						<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'cat1\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />
					</div>
				';
				//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
			//////////////////////MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) ////////////////////////////
          	} else if (isset($redacprefs['rwritcat'.$pgreturn[$qtype]]) && $redacprefs['rwritcat'.$pgreturn[$qtype]] != "On") {
				ReadDoc(DBBASE.$id);
  				/// FORK AjouteMenu : SAISIE MODIF 1
 	 			if ($mnu_include) {
    				list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
    				if ($mnu_code == "am") {
      					AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
      					$fieldd1 = $mnu_id;
      					$fielda1 = $mnu_categ1;
      					$fielda2 = $mnu_categ2;
      					$fieldb1 = $mnu_titre1;
      					$fieldb2 = $mnu_titre2;
      					echo '<input type="hidden" name="mnu_id" value="'.$mnu_id.'" />';
      					echo '<input type="hidden" name="mnu_item" value="'.$mnu_item.'" />';
    				}
  				}

  				/// Fin FORK AjouteMenu : SAISIE MODIF 1
// Modif multicat////////
				$redacprefs['rnamecat'.$pgreturn[$qtype]] = explode('||', $redacprefs['rnamecat'.$pgreturn[$qtype]]);
				$nbRnamecat = count($redacprefs['rnamecat'.$pgreturn[$qtype]]);
				if ($nbRnamecat == 1) {
					echo '<div style="text-align:center;"><input  type="hidden" name="cat1"  value="'.htmlspecialchars($fielda1, ENT_COMPAT, $charset).'" /></div>';
					if ($lang[1] != "") {
						echo '<div style="text-align:center;"><input  type="hidden" name="cat2"  value="'.htmlspecialchars($fielda2, ENT_COMPAT, $charset).'" /></div>';
					}
				} else {
					echo '<p style="text-align:center;padding-top:5px;">'.$admin35.'</p>';
					echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;" /></div>';
					echo '<div style="text-align:center;">';
					echo '<select name="cat1" size="5" style="width:375px;">';
					echo '<option value="'.htmlspecialchars($fielda1, ENT_COMPAT, $charset).'" selected="selected">'.str_replace(array('<!--', '-->'), array('', ' '), $fielda1).'</option>';
					for ($i = 0; $i < $nbRnamecat; $i ++) {
						$redacprefs['rnamecat'.$pgreturn[$qtype]][$i] = trim($redacprefs['rnamecat'.$pgreturn[$qtype]][$i]);
						if ($redacprefs['rnamecat'.$pgreturn[$qtype]][$i] != $fielda1) {
							echo '<option value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][$i], ENT_COMPAT, $charset).'">'.str_replace(array('<!--', '-->'), array('', ' '), $redacprefs['rnamecat'.$pgreturn[$qtype]][$i]).'</option>';
						}
					}
					echo '</select></div>';
					
					if ($lang[1] != "") {
						echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;" /></div>';
						echo '<div style="text-align:center;">';
						echo '<select name="cat2" size="5" style="width:375px;">';
						echo '<option value="'.htmlspecialchars($fielda2, ENT_COMPAT, $charset).'" selected="selected">'.str_replace(array('<!--', '-->'), array('', ' '), $fielda2).'</option>';
						for ($i = 0; $i < $nbRnamecat; $i ++) {
							$redacprefs['rnamecat'.$pgreturn[$qtype]][$i] = trim($redacprefs['rnamecat'.$pgreturn[$qtype]][$i]);
							if ($redacprefs['rnamecat'.$pgreturn[$qtype]][$i] != $fielda2) {
								echo '<option value="'.htmlspecialchars($redacprefs['rnamecat'.$pgreturn[$qtype]][$i], ENT_COMPAT, $charset).'">'.str_replace(array('<!--', '-->'), array('', ' '), $redacprefs['rnamecat'.$pgreturn[$qtype]][$i]).'</option>';
							}
						}
						echo '</select></div>';
					}
				}
// Fin Modif multicat////////				 
 	    	//////////////////////FIN MODIF ADM_REDACTEURS (OPTION AUTORISER OU PAS NOUVELLE CATEGORIE) //////////////////////////// 
			} else {
				$dbdocguppy = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID),$qtype),"d");
				$namecatlng0 = array();
				$namecatlng1 = array();
				for ($i = 0; $i < count($dbdocguppy); $i++) {
					ReadDoc(DBBASE.$dbdocguppy[$i][1]);
  					/// FORK AjouteMenu : SAISIE MODIF 1
 	 				if ($mnu_include) {
    					list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
    					if ($mnu_code == "am") {
							AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
							$fielda1 = $mnu_categ1;
							$fielda2 = $mnu_categ2;
    					}
						unset($mnu_code);
						unset($mnu_id);
						unset($mnu_item);
  					}
  					/// Fin FORK AjouteMenu : SAISIE MODIF 1
					$namecatlng0[$fielda1]= strtolower($fielda1);
					$namecatlng1[$fielda2]= strtolower($fielda2);
				}
				if(count($namecatlng0) > 1) {
					$namecatlng0 = array_unique($namecatlng0);
					asort($namecatlng0);
				}
				if(count($namecatlng1) > 1) {
					$namecatlng1 = array_unique($namecatlng1);
					asort($namecatlng1);
				}
				ReadDoc(DBBASE.$id);
  				/// FORK AjouteMenu : SAISIE MODIF 1
 	 			if ($mnu_include) {
    				list($mnu_code, $mnu_id, $mnu_item) = explode(".", $fieldd1);
    				if ($mnu_code == "am") {
      					AM_ReadMenu($mnu_item, $mnu_id, "mnu_");
      					$fieldd1 = $mnu_id;
      					$fielda1 = $mnu_categ1;
      					$fielda2 = $mnu_categ2;
      					$fieldb1 = $mnu_titre1;
      					$fieldb2 = $mnu_titre2;
      					echo '<input type="hidden" name="mnu_id" value="'.$mnu_id.'" />';
      					echo '<input type="hidden" name="mnu_item" value="'.$mnu_item.'" />';
    				}
  				}
  				/// Fin FORK AjouteMenu : SAISIE MODIF 1
?>
				<script type="text/javascript">
					function addCat(nameform,nameinput,nameselect) {
						var message = '<?php echo addslashes($redac153); ?>';				
						var nameaddcat = document.forms[nameform].elements[nameinput].value;
				 			nameaddcat = nameaddcat.replace(/"/g,"'");
 						var nameaddcatvalue = nameaddcat.replace(/\s/g,'');
 						if(nameaddcatvalue == '') {
	 						alert(message);
						} else {
	 						nameaddcatvalue = nameaddcat.replace(/<!--/g,'');
							nameaddcatvalue = nameaddcatvalue.replace(/-->/g,' ');
 							nameaddcatvalue = nameaddcatvalue.replace(/"/g,"'");
							new_option = new Option(nameaddcatvalue,nameaddcat,false,true);
							document.forms[nameform].elements[nameselect].options[document.forms[nameform].elements[nameselect].length] = new_option;
							document.forms[nameform].elements[nameinput].value =  '';
						}
					}
				</script>
<?php
				echo '<div style="text-align:center;padding-top:5px;"><img src="'.$flag1.'" alt="'.$lang[0].'" title="'.$lang[0].'" border="0" style="vertical-align:middle;" /></div>';
				echo '<div style="text-align:center;">';
				echo '<select name="cat1" size="5" style="width:375px;">';
				echo '<option value=""'.($fielda1 == '' ? ' selected="selected" ' : '' ).'>'.$redac159.'</option>';
				foreach($namecatlng0 as $cle => $valeur) {
					if($cle != '') {
						$namecatmenu = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
						echo '<option value="'.$cle .'"'.($fielda1 == $cle ? ' selected="selected" ' : '' ).'>'.$namecatmenu.'</option>';
					}
				}
				echo '</select>';
				echo '</div>';
				echo '<div style="text-align:center;">';
				echo '<input name="addvaluecat1" type="text" value="" /><input name="buttonaddcat1" type="button" value="'.$redac160.'" onclick="addCat(\'adminsend\',\'addvaluecat1\',\'cat1\');" />';
				echo '</div>';
				if ($lang[1] != "") {
					echo '<div style="text-align:center;padding-top:15px;"><img src="'.$flag2.'" alt="'.$lang[1].'" title="'.$lang[1].'" border="0" style="vertical-align:middle;" /></div>';
					echo '<div style="text-align:center;">';
					echo '<select name="cat2" size="5" style="width:375px;">';
					echo '<option value=""'.($fielda2 == '' ? ' selected="selected" ' : '' ).'>'.$redac159.'</option>';
					foreach($namecatlng1 as $cle => $valeur) {
						if($cle != '') {
							$namecatmenu = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $cle)));
							echo '<option value="'.$cle .'"'.($fielda2 == $cle ? ' selected="selected" ' : '' ).'>'.$namecatmenu.'</option>';
						}
					}
					echo '</select>';
					echo '</div>';
					echo '<div style="text-align:center;">';
					echo '<input name="addvaluecat2" type="text" value="" /><input name="buttonaddcat2" type="button" value="'.$redac160.'" onclick="addCat(\'adminsend\',\'addvaluecat2\',\'cat2\');" />';
					echo '</div>';
				}
		   	}
  		} elseif ($fielda2 == "0") {
			echo '<div style="text-align:center; padding-top: 15px;">'.$admin260.'</div>';
			echo '<div style="text-align:center; padding-top: 5px;"><select name="titre2">';
			echo '<option value="">'.$admin259.'</option>';
 			for ($i = 0; $i < count($dbfcat); $i++) {
    			if ($dbfcat[$i][0] == $fieldb2) {
      				$sel = ' selected="selected"';
    			} else {
      				$sel = "";
    			}
        		echo '<option value="'.$dbfcat[$i][0].'" '.$sel.' >'.$dbfcat[$i][1].'</option>'."\n";
  			}
			echo '</select></div>';
  		}
 	}
	//Titre du document crit
 	if ($btitre >= 1 && ($qtype != TYP_FORUM || ($qtype == TYP_FORUM && $fielda2 == "0"))) {
		echo '<div style="text-align:center; padding-top: 15px;">'.$qtitre.'</div>';
		echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /><input class="texte" type="text" name="titre1" size="55" value="'.htmlspecialchars($fieldb1, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></div>';
 		if ($lang[1] != "") {
		echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /><input class="texte" type="text" name="titre2" size="55" value="'.htmlspecialchars($fieldb2, ENT_COMPAT, $charset).'" style="vertical-align:middle;" /></div>';
   		}
  	}
  	if ($bnouveau == 1) {
  		if ($qtype == TYP_PHOTO) {
			echo '<div style="text-align:center; padding-top:15px;">'.$qnouveau.'</div>';
			//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
			echo '
				<div style="text-align:center; padding-top: 5px;">
					<select name="nouveau1" style="vertical-align:middle;">
            		<option value=""'.(($fieldd1 == '')? ' selected="selected"' : '').'>'.$admin90.'</option>
			';
			foreach ($foto as $dirname => $valeur) {
        		$sel = ($fieldd1 == $dirname)? ' selected="selected"' : '';
        		echo '<option value="'.$dirname.'" '.$sel.' >'.$valeur.'</option>'."\n";
			}
			//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
			echo '
					</select>
					<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Media&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau1\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />
				</div>
			';
  		} elseif ($qtype == TYP_ART) {
			//////////////////////MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////
	        echo '<div style="text-align:center; padding-top:15px;">'.$admin456.'</div>';
            echo '<div style="text-align:center; padding-top: 5px;"><select name="nouveau1" >';
        	switch($redacprefs['rbart']) {
				case 'bart1' :
				case 'bart2' :
					if ($fieldd1 == "left" || $fieldd1 == "") {
						echo '<option value="'.$fieldd1.'" selected="selected">'.$admin348.'</option>';
					}
					if ($fieldd1 == "right") {
						echo '<option value="'.$fieldd1.'" selected="selected">'.$admin349.'</option>';
					}
					break;
				case 'bajmnu' :
				  	if ($mnu_include) {
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
        				for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
					  		$mnu_titre = AM_GetTitre($mnu_i);
					  		if (!empty($mnu_titre)) {
								$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
								echo '<option value="'.$mnu_i.'"'.("$mnu_i" === "$mnu_id" ? ' selected="selected"' : '').'>'.$mnu_txt.'</option>';
					  		}
						}
				  	}
				break;
				default :
                	echo '<option value="left"'.(($fieldd1 == "left" || $fieldd1 == "")? ' selected="selected"' : '').'>'.$admin348.'</option>';
                	echo '<option value="right"'.(($fieldd1 == "right")? ' selected="selected"' : '').'>'.$admin349.'</option>';
				  	/// FORK AjouteMenu : SAISIE MODIF 2
				  	if ($mnu_include) {
//modif admredacteurs
//        				for ($mnu_i=0; $mnu_i < 20; $mnu_i++) {
						$redac_mnu_i = explode(';', $redacprefs['num_ajoutemenu']);
        				for ($i=0; $i < count($redac_mnu_i); $i++) {
							$mnu_i = $redac_mnu_i[$i];
//fin modif admredacteurs
					  		$mnu_titre = AM_GetTitre($mnu_i);
					  		if (!empty($mnu_titre)) {
								$mnu_txt = sprintf($mnu_adm3, $mnu_i).": ".$mnu_titre;
								echo '<option value="'.$mnu_i.'"'.("$mnu_i" === "$mnu_id" ? ' selected="selected"' : '').'>'.$mnu_txt.'</option>';
					  		}
						}
				  	}
				  	/// Fin FORK AjouteMenu : SAISIE MODIF 2
           }
		   echo '</select></div>';
			//////////////////////FIN MODIF ADM_REDACTEURS (OPTION CHOIX BOITE ARTICLE) ////////////////////////////

            /// Fork AjouteMenu : SAISIE CREATION 3
            if ($mnu_include) {
                echo '<div style="text-align:center; padding-top:15px;">'.$mnu_adm140.'</div>';
                echo '<div style="text-align:center; padding-top: 5px;"><select name="new_modecol">';
                foreach (array(array('', $mnu_adm143), array('W', $mnu_adm144), array('G', $mnu_adm145), array('D', $mnu_adm146), array('L', $mnu_adm147), array('R', $mnu_adm148)) as $x) {
                    echo '<option value="'.$x[0].'"'.($mnu_modecol == $x[0] ? ' selected="selected"' : '').'>'.$x[1].'</option>';
                }
                echo '</select></div>';
            }
            /// FORK AjouteMenu

		} else {
			echo '<div style="text-align:center; padding-top: 15px;">'.$qnouveau.'</div>';
			echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag1.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[0].'" title="'.$lang[0].'" /> <input class="texte" type="text" name="nouveau1" size="55" value="'.$fieldd1.'" style="vertical-align:middle;" /></div>';
 			if ($lang[1] != "") {
				echo '<div style="text-align:center; padding-top: 5px;"><img border="0" src="'.$flag2.'" width="24" height="16" style="vertical-align:middle; margin-right:10px;" alt="'.$lang[1].'" title="'.$lang[1].'" /> <input class="texte" type="text" name="nouveau2" size="55" value="'.$fieldd2.'" style="vertical-align:middle;" /></div>';
      		}
    	}
  	}

    /// dbut modif accs priv
    if (in_array($qtype, array(TYP_ART, TYP_AGENDA, TYP_BLOG, TYP_DNLOAD, TYP_FAQ, TYP_LINKS, TYP_NEWS, TYP_PHOTO))) {
        if (!empty($redacprefs['raccessprivategroup'])) {
            echo display_select_private_group($fieldmod); 
        }
    }
    /// fin modif accs priv

 	if ($qtype == TYP_FORUM) {
		echo '<div style="text-align:center;"><input class="texte" type="hidden" name="contenu2" size="55" value="'.$fieldc2.'" /></div>';
		echo '<div style="text-align:center;"><input class="texte" type="hidden" name="nouveau2" size="55" value="'.$fieldd2.'" /></div>';
		echo '<div style="text-align:center;"><input class="texte" type="hidden" name="siteweb" size="55" value="'.$fieldweb.'" /></div>';
 	}
 	if ($qtype == TYP_ART  || $qtype == TYP_BLOG || $qtype == TYP_NEWS) {
		echo '<div style="text-align:center; padding-top:15px;">'.(($qtype == TYP_ART || $qtype == TYP_BLOG)? $admin461 : $admin462).'</div>';
		//////////////////////MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////////
		echo '
			<div style="text-align:center; padding-top:5px;">
				<select name="nouveau2" style="vertical-align:middle;">
            		<option value=""'.(($fieldd2 == "")? ' selected="selected"' : '').'>'.$admin307.'</option>
		';
		foreach ($redac_img as $dirname => $valeur) {
        	$sel = ($fieldd2 == $dirname)? ' selected="selected"' : '';
        	echo '	<option value="'.$dirname.'" '.$sel.' >'.$valeur.'</option>'."\n";
		}
		echo '
				</select>
				<input type="button" style="vertical-align:middle;" name="browserver" id="browserver" onclick="PopupWindow(\''.CHEMIN.'plugins/adm_redacteurs/editors/upload/upload.php?lng='.$lng.'&amp;uptype=Image&amp;namerepconfig=adminredacteurs_config&amp;pathconfig=plugins/adm_redacteurs/editors/\',\'nouveau2\',\'700\',\'515\', \'yes\');" value="'.$redac175.'" />
			</div>
		';
		//////////////////////FIN MODIF POUR RECUPERER IMAGES ET PHOTOS////////////////////////
  	}

	//Miniditeur
  	if ($bcontenu == 1) {
		echo '<div style="text-align:center;padding-top:20px;">'.$qcontenu.'</div>';
		echo '<div style="text-align:center;padding:5px;"><img border="0" src="'.$flag1.'" width="24" height="16" alt="'.$lang[0].'" title="'.$lang[0].'" /></div>';
        display_admin_editor('contenu1', $serviz[63], '480px', $fieldc1, $serviz[49]);

 		if ($lang[1] != "") {
			echo '<div style="text-align:center; padding-top:20px; padding-bottom:5px;"><img border="0" src="'.$flag2.'" width="24" height="16" alt="'.$lang[1].'" title="'.$lang[1].'" /></div>';
            display_admin_editor('contenu2', $serviz[63], '480px', $fieldc2, $serviz[49]);
    	}
  	}
	echo '
		<div style="text-align:center; padding-top:20px;">
		'.$boutonleft.'<input class="bouton" type="submit" value="'.$admin38.'" />'.$boutonright.'
		</div>
	';
	echo '</form>';
}

if ($qtype == TYP_NWL) {
    echo '
        <p align="center">
            <a href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=newsletter">'.$admin535.'</a> || <a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <a href="admin.php?lng='.$lng.'&amp;logout=1"><strong>'.$admin19.'</strong></a>
        </p>';
} else {
	echo '<hr style="margin-top:20px;" />';
	echo '
		<div style="text-align:center;padding:5px;">
			<a href="admin.php?lng='.$lng.'">'.$admin22.'</a> || <a href="admin.php?lng='.$lng.'&amp;logout=1"><strong>'.$admin19.'</strong></a>
		</div>
	';
}
btable();
$lang[0] = $langue0;
$lang[1] = $langue1;
include(CHEMIN."inc/bpage.inc");